## org.openorb.io
Interface BufferSource.WaitingForBufferListener

All Superinterfaces:
  java.util.EventListener

Enclosing class:
  BufferSource

public static interface BufferSource.WaitingForBufferListener
extends java.util.EventListener

Called whenever a buffer is needed to continue processing.

Method Summary
`boolean` `waitForBuffer(BufferSource source)` Called whenever a buffer is needed to continue processing.

Method Detail

### waitForBuffer

    public boolean waitForBuffer(BufferSource source)

  Called whenever a buffer is needed to continue processing.
  Parameters:
    `source` - The buffer source.
  Returns:
    false to use the default method, wait until an exception is set or a buffer is added.